[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# EndOfTheWeek

Calculate a TDateTime value which represents the end of a week, given a date in that week.

## Declaration

Source position: dateutil.inc line 167

`function EndOfTheWeek(`
`const AValue: TDateTime`
`):TDateTime;`

## Arguments

`AValue` |  | Day in the week of which the last day should be calculated.

## Function result

TDateTime value representing the last day of the week in which AVAlue is a day.

## Description

EndOfTheWeek extracts the year and week parts of AValue and returns a TDateTime value with the date of the last day of that week as the EndOfAWeek function.

## See also

StartOfAWeek |  | Return a day of the week, given a year, week and day in the week.
StartOfTheWeek |  | Return the first day of the week, given a date.
EndOfAWeek |  | Return the last moment of day of the week, given a year and a week in the year.
StartOfAMonth |  | Return first date of month, given a year/month pair.
EndOfTheYear |  | Calculate a TDateTime value representing the last day of a year, given a date in that year.
EndOfAYear |  | Calculate a TDateTime value representing the last day of a year
EndOfTheMonth |  | Calculate a TDateTime value representing the last day of the month, given a day in that month.
EndOfAMonth |  | Calculate a TDateTime value representing the last day of the indicated month

## Example

    Program Example33;

    { This program demonstrates the EndOfTheWeek function }

    Uses SysUtils,DateUtils;

    Const
      Fmt = '"last day of this week : "dd mmmm yyyy';

    Begin
      Writeln(FormatDateTime(Fmt,EndOfTheWeek(Today)));
    End.